Subject: guestgroup howto update

From: Michael Brennen <[email-masked]>
Date: Sat, 26 Sep 1998 14:31:58 -0500 (CDT)

Thanks much, Gregor, I've incorporated the changes below into the
guestgroup howto and credited you with the information.

Also, for those of you that may keep copies of the guestgroup locally,
I updated it a couple of weeks ago to make it more clear about the
cause of not being able to see the contents of the directory once the
guest logs in. This question kept coming up on the list, so I reworked
it a bit to make the cause and the fix more clear.

   -- Michael

On Fri, 25 Sep 1998, Gregor Mosheh wrote:

> Contents of ~ftp/usr/lib
> Solaris expects to find the libraries in ~ftp/usr/lib , not in ~ftp/lib
> Copy the following libraries out of /usr/lib into ~ftp/usr/lib
> Also, I'm not sure that intl and w are necessary.
> ld.so
> ld.so.1
> libc.so.1
> libdl.so.1
> libintl.so (can be a symlink to libintl.so.1)
> libintl.so.1
> libw.so.1
> 
> 
> Contents of ~ftp/dev:
> Create "zero" and "tcp" entries. Check your existing /dev/zero and /dev/tcp 
> to make sure that these major and minor numbers are correct for your 
> system, then use "mknod" to create the device files in ~ftp/dev
> mknod zero c 11 42
> mknod tcp c 13 12

---

From: "Auteria Wally Winzer Jr." <[email-masked]>
Date: Sat, 26 Sep 1998 20:16:07 -0700

I've submitted Solaris packages of wu-ftpd-VR6/VR7 to Gregory's
ftp site.  These packages are for 2.5.1 and up (BCP Compatibility Patch).
Within the pkg is specific instructions on Setting up a Secure FTP
Server For Solaris.  This will list all of the files needed.  You'll need more
libraries and devices than what you have now.  There's also other
files that you'll definitely need.  Download the package from ftp.vr.net
(I don't know exactly the path, but I'm sure you can locate it).

- Wally Winzer Jr.